%define name rox-freefs
%define version 2.1.4
%define release %mkrel 6
%define oname FreeFS

Summary: ROX application to monitor file system usage
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.kerofin.demon.co.uk/rox/%{oname}-%{version}.tar.bz2
Patch: FreeFS-2.1.3-fstab-check.patch
License: GPL
Group: Graphical desktop/Other
Url: http://www.kerofin.demon.co.uk/rox/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: librox-c-devel >= 2.1.6

%description
Monitor free space on a file system. This runs as either a panel
applet or a separate window.

%prep
%setup -q -n %oname
%patch -p1
cd src
autoconf

%build
export LIBDIRPATH=%_libdir
./AppRun ||:

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot%_libdir/apps/
cp -r ../%oname %buildroot%_libdir/apps/
rm -rf %buildroot%_libdir/apps/%oname/src

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %_libdir/apps/%oname
%_libdir/apps/%oname/.DirIcon
%_libdir/apps/%oname/App*
%_libdir/apps/%oname/%oname.xml
%doc %_libdir/apps/%oname/Help
%_libdir/apps/%oname/Options.xml
%_libdir/apps/%oname/Resources
%_libdir/apps/%oname/Linux-*
%_libdir/apps/%oname/libdir
%_libdir/apps/%oname/choice_install
%_libdir/apps/%oname/gtkrc
%_libdir/apps/%oname/rox_run




%changelog
* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.1.4-6mdv2009.0
+ Revision: 260294
- rebuild

* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.1.4-5mdv2009.0
+ Revision: 251374
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.1.4-3mdv2008.1
+ Revision: 140747
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 2.1.4-3mdv2007.0
+ Revision: 108618
- Import rox-freefs

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 2.1.4-3mdv2007.1
- Rebuild

* Tue Aug 01 2006 Götz Waschk <waschk@mandriva.org> 2.1.4-1mdv2007.0
- Rebuild

* Mon Jan 02 2006 Gtz Waschk <waschk@mandriva.org> 2.1.4-1mdk
- bump deps
- New release 2.1.4
- use mkrel
- patch for build in a chroot

* Tue Oct 18 2005 Gtz Waschk <waschk@mandriva.org> 2.1.3-1mdk
- update file list
- New release 2.1.3

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 2.1.1-2mdk
- fix build on x86_64

* Sat May 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.1-1mdk
- don't depend on libgtop anymore
- New release 2.1.1

* Thu May 06 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.0-1mdk
- initial package

